# -*- coding:Utf-8 -*-

import es
import playerlib
import gamethread
import psyco
psyco.full()

__version__ = 'v3.1'

info = es.AddonInfo()
info.name     = 'One Shot One Kill'
info.version  = __version__
info.url      = ''
info.basename = 'oneshotonekill'
info.author   = 'UltiNaruto'
osok_falldamage = es.ServerVar('osok_falldamage',0,'Disable/Enable Fall Damage')

def load():
	es.msg('#green', '[ONE SHOT ONE KILL %s] Loaded' % info.version)
	es.set('osok_version', info.version)
	es.makepublic('osok_version')

def unload():
	es.msg('#lightgreen', '[ONE SHOT ONE KILL %s] Unloaded' % info.version)

def player_spawn(ev):
	player = playerlib.getPlayer(int(ev['userid']))
	player.setHealth(5000)

def player_hurt(ev):
	weapon = str(ev['weapon'])
	attacker = int(ev['attacker'])
	userid = int(ev['userid'])
	cAttacker = playerlib.getPlayer(attacker)
	cVictim = playerlib.getPlayer(userid)
	hitgroup = int(ev['hitgroup'])
	if cVictim.team != cAttacker.team and userid != attacker and weapon != 'world':
		if hitgroup == 1:
			es.server.insertcmd('damage %d 10000 1073741824 %d %s' % (userid,attacker,'weapon_'+weapon))
		else:
			es.server.insertcmd('damage %d 10000 2 %d %s' % (userid,attacker,'weapon_'+weapon))
	else:
		cVictim.setHealth(5000)